%define anolis_release 20
Name: libcanberra
Version: 0.30
Release: %{anolis_release}%{?dist}
Summary: Portable Sound Event Library
Source0: http://0pointer.de/lennart/projects/libcanberra/libcanberra-%{version}.tar.xz
License: LGPLv2+
Url: http://git.0pointer.net/libcanberra.git/
BuildRequires: gcc
BuildRequires: pkgconfig(alsa) >= 1.0.0
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.32
BuildRequires: pkgconfig(gstreamer-1.0) >= 0.10.15
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libpulse) >= 0.9.11
BuildRequires: pkgconfig(libudev) >= 160
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(tdb) >= 1.1
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(x11)
BuildRequires: gtk-doc
BuildRequires: gettext-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: make
BuildRequires: systemd-rpm-macros
Requires: sound-theme-freedesktop
Requires: pulseaudio-libs >= 0.9.15

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package gtk3
Summary: Gtk+ 3.x Bindings for libcanberra
Requires: %{name} = %{version}-%{release}

%description gtk3
Gtk+ 3.x bindings for libcanberra

%package devel
Summary: Development Files for libcanberra Client Development
Requires: %{name} = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}

%description devel
Development Files for libcanberra Client Development

%post
%systemd_post canberra-system-bootup.service canberra-system-shutdown.service canberra-system-shutdown-reboot.service

%preun
%systemd_preun canberra-system-bootup.service canberra-system-shutdown.service canberra-system-shutdown-reboot.service

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-gtk \
	--enable-pulse \
	--enable-alsa \
	--enable-null \
	--disable-oss \
	--with-builtin=dso
%make_build

%install
%make_install
rm $RPM_BUILD_ROOT%{_docdir}/libcanberra/README

%files
%license LGPL
%doc README
%{_libdir}/libcanberra.so.*
%dir %{_libdir}/libcanberra-%{version}
%{_libdir}/libcanberra-%{version}/libcanberra-alsa.so
%{_libdir}/libcanberra-%{version}/libcanberra-pulse.so
%{_libdir}/libcanberra-%{version}/libcanberra-null.so
%{_libdir}/libcanberra-%{version}/libcanberra-multi.so
%{_libdir}/libcanberra-%{version}/libcanberra-gstreamer.so
%{_unitdir}/canberra-system-bootup.service
%{_unitdir}/canberra-system-shutdown-reboot.service
%{_unitdir}/canberra-system-shutdown.service
%{_bindir}/canberra-boot

%files gtk3
%{_libdir}/libcanberra-gtk3.so.*
%{_libdir}/gtk-3.0/modules/libcanberra-gtk3-module.so
%{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so
%{_bindir}/canberra-gtk-play
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
# co-own these directories to avoid requiring GDM (#522998)
%dir %{_datadir}/gdm/
%dir %{_datadir}/gdm/autostart/
%dir %{_datadir}/gdm/autostart/LoginWindow/
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
# co-own these directories to avoid requiring g-s-d
%dir %{_libdir}/gnome-settings-daemon-3.0/
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules/
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%files devel
%doc %{_datadir}/gtk-doc
%{_includedir}/canberra-gtk.h
%{_includedir}/canberra.h
%{_libdir}/libcanberra-gtk3.so
%{_libdir}/libcanberra.so
%{_libdir}/pkgconfig/libcanberra-gtk3.pc
%{_libdir}/pkgconfig/libcanberra.pc
# co-own these directories to avoid requiring vala
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libcanberra-gtk.vapi
%{_datadir}/vala/vapi/libcanberra.vapi

%changelog
* Mon Jan 30 2023 Funda Wang <fundawang@yeah.net> - 0.30-20
- Add more buildrequires to fix build

* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 0.30-19
- Bump release for upgrading from anolis 8

* Thu Aug 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.30-2
- Remove gtk2

* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.30-1
- Init from upstream version 0.30

